// HomePage.js
import React, { useEffect, useState } from 'react';
import { Link } from 'react-router-dom';
import './App.css';

function HomePage() {
  const [campaigns, setCampaigns] = useState([]);

  useEffect(() => {
    fetch('http://localhost:4000/api/campaigns')
      .then((res) => res.json())
      .then((data) => setCampaigns(data))
      .catch((err) => console.error(err));
  }, []);

  return (
    <div className="container">
      <h1 className="header">Lista Zbiórek</h1>
      <div className="card">
        {campaigns.map((campaign) => (
          <div key={campaign.id} style={{ marginBottom: '15px' }}>
            <h2>{campaign.title}</h2>
            <p>{campaign.description}</p>
            <Link to={`/campaign/${campaign.id}`} className="button">
              Zobacz szczegóły
            </Link>
          </div>
        ))}
      </div>
    </div>
  );
}

export default HomePage;
